This game requires Adobe Flash 10 or greater.